# $Revision: 1.29 $, $Date: 2012/05/23 10:46:16 $
Summary:	SELinux binary policy manipulation library
Summary(pl.UTF-8):	Biblioteka do obróbki polityk SELinuksa w postaci binarnej
Name:		libsepol
Version:	2.1.4
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#git clone http://oss.tresys.com/git/selinux.git/
Source0:	http://userspace.selinuxproject.org/releases/20120216/%{name}-%{version}.tar.gz
# Source0-md5:	909dae553edb34ea2224002a0c529cb0
URL:		http://userspace.selinuxproject.org/trac/wiki/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number of
utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary
policies. It is used by checkpolicy (the policy compiler) and similar
tools, as well as by programs like load_policy that need to perform
specific transformations on binary policies such as customizing policy
boolean settings.

%description -l pl.UTF-8
Security-enhanced Linux jest prototypem jądra Linuksa i wielu
aplikacji użytkowych o funkcjach podwyższonego bezpieczeństwa.
Zaprojektowany jest tak, aby w prosty sposób ukazać znaczenie
obowiązkowej kontroli dostępu dla społeczności linuksowej. Ukazuje
również jak taką kontrolę można dodać do istniejącego systemu typu
Linux. Jądro SELinux zawiera nowe składniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczeństwa systemu operacyjnego
Flask. Te elementy zapewniają ogólne wsparcie we wdrażaniu wielu typów
polityk obowiązkowej kontroli dostępu, włączając te wzorowane na: Type
Enforcement (TE), kontroli dostępu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

libsepol dostarcza API do obróbki polityk SELinuksa w postaci
binarnej. Jest używane przez checkpolicy (kompilator polityk) i
podobne narzędzia, a także przez programy w rodzaju load_policy,
potrzebne do wykonywania określonych przekształceń na binarnych
politykach, takich jak dostosowywanie logicznych ustawień polityki.

%package devel
Summary:	Header files used to build policy manipulation tools
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania narzędzi obrabiających politykę
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed for developing
applications that manipulate binary policies.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia aplikacji
obrabiających binarne polityki.

%package static
Summary:	Static version of libsepol library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libsepol
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libsepol library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libsepol.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	SHLIBDIR=$RPM_BUILD_ROOT/%{_lib}

# make symlink across / absolute
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libsepol.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libsepol.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) /%{_lib}/libsepol.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chkcon
%attr(755,root,root) %{_libdir}/libsepol.so
%{_pkgconfigdir}/libsepol.pc
%{_includedir}/sepol
%{_mandir}/man3/sepol_*.3*
%{_mandir}/man8/chkcon.8*
%{_mandir}/man8/genpolbools.8*
%{_mandir}/man8/genpolusers.8*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsepol.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsepol.spec,v $
Revision 1.29  2012/05/23 10:46:16  baggins
- 2.1.4

Revision 1.28  2011/09/10 20:27:55  arekm
- use rpmcppflags, too

Revision 1.27  2011/09/10 20:26:24  arekm
- up to 2.1.0

Revision 1.26  2010/01/20 07:30:10  amateja
- updated to 2.0.41

Revision 1.25  2009/09/08 09:45:03  amateja
- updated to 2.0.38

Revision 1.24  2009/08/20 07:53:51  amateja
- updated to 2.0.37

Revision 1.23  2009/05/11 07:51:14  amateja
- updated to 2.0.36

Revision 1.22  2009/03/27 20:29:30  arekm
- up to 2.0.32

Revision 1.21  2008/09/10 20:10:38  qboosh
- updated to 2.0.30

Revision 1.20  2008/04/02 19:48:53  zbyniu
- up to 2.0.25

Revision 1.19  2007-09-27 13:00:52  zbyniu
- up to 2.0.11, patch0 now in sources

Revision 1.18  2007/04/01 00:25:06  arekm
- up to 2.0.1

Revision 1.17  2007/03/02 16:18:45  tommat
- added multilib patch

Revision 1.16  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.14  2007/01/28 22:50:38  qboosh
- removed obsolete sed (-fPIC already in sources)

Revision 1.13  2007/01/27 23:57:58  zbyniu
- up to 1.16.0

Revision 1.12  2006/10/31 22:26:40  qboosh
- updated to 1.14

Revision 1.11  2006/07/30 15:05:09  sparky
- pass rpmldflags

Revision 1.10  2006/03/19 11:51:21  qboosh
- updated to 1.12

Revision 1.9  2005/12/27 08:39:40  qboosh
- use -fPIC instead of -fpic, release 2

Revision 1.8  2005/12/21 22:34:53  qboosh
- updated to 1.10

Revision 1.7  2005/09/22 15:58:08  arekm
- up to 1.8

Revision 1.6  2005/07/01 20:34:46  qboosh
- updated to 1.6
- License is LGPL v2.1 now

Revision 1.5  2005/03/11 23:31:51  qboosh
- updated to 1.4

Revision 1.4  2004/11/04 19:27:59  qboosh
- added ChangeLog to doc

Revision 1.3  2004/11/04 19:11:05  qboosh
- updated to 1.2

Revision 1.2  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.1  2004/08/28 22:28:38  qboosh
- new, rewritten from spec included in package
